using Xamarin.Forms;

namespace InABox.Mobile
{
    public class MobileButtonStripItem : BindableObject
    {
        private readonly BindableProperty TextProperty = BindableProperty.Create(
            nameof(Text),
            typeof(string),
            typeof(MobileButtonStripItem),
            "");
        
        public string Text
        {
            get => (string)GetValue(TextProperty);
            set => SetValue(TextProperty, value);
        }
        
        private readonly BindableProperty SelectedProperty = BindableProperty.Create(
            nameof(Selected),
            typeof(bool),
            typeof(MobileButtonStripItem),
            false);
        
        public bool Selected
        {
            get => (bool)GetValue(SelectedProperty);
            set => SetValue(SelectedProperty, value);
        }
        
        private readonly BindableProperty IndexProperty = BindableProperty.Create(
            nameof(Index),
            typeof(int),
            typeof(MobileButtonStripItem),
            0);
        
        public int Index
        {
            get => (int)GetValue(IndexProperty);
            set => SetValue(IndexProperty, value);
        }
    }
}